<?php

class actionFaqCatEdit extends cmsAction {

    public function run($id) {
        if (!$id) {cmsCore::error404();}
        $model = cmsCore::getModel('faq');
        $form = $this->getForm('cat', array('edit'));
        $is_submitted = $this->request->has('submit');
        $cats = $model->getItemById('faq_cats', $id);
        if ($is_submitted) {
            $cats = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $cats);
            if (!$errors) {
                $cat_id = $model->editFaqCat($id, $cats);
				if($cat_id) {
					cmsUser::addSessionMessage('Категория успешно изменена!!!', 'success');
				} else {
					cmsUser::addSessionMessage('Не удалось изменить категорию!!!', 'error');
				}
                $this->redirectToAction('cats');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return cmsTemplate::getInstance()->render('backend/cat_add', array(
            'do' => 'edit',
            'cats' => $cats,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));

    }
}