<?php

class actionFaqFaqAdd extends cmsAction {

    public function run($id = FALSE) {
        $model = cmsCore::getModel('faq');
        $form = $this->getForm('faq', array('add', $id));
        $is_submitted = $this->request->has('submit');
        if ($is_submitted) {
            $faqs = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $faqs);
            if (!$errors) {
                $faq_id = $model->addFaq($faqs);
                if ($faq_id) {
                    cmsUser::addSessionMessage('Запись успешно добавлена!!!', 'success');
                }
                $this->redirectToAction('faqs');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return cmsTemplate::getInstance()->render('backend/faq', array(
            'do' => 'add',
            'cat_id' => $id,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }
}