<?php

class faq extends cmsFrontend {
    
    public function actionIndex() {
        
        $template = cmsTemplate::getInstance();
        $this->model->orderBy('ordering', 'asc');
        $cats = $this->model->getFaqCats();
        $this->model->filterEqual('is_pub', 1);
        $faqs = $this->model->getFaqs();
        $template->render('main', array(
            'faqs' => $faqs,
            'cats' => $cats
        ));
        
    }
    
	public function actionAdd() {
	
		$template = cmsTemplate::getInstance();
		$user = cmsUser::getInstance();

		if(!$user->is_admin) { cmsCore::error404(); }

		$form = $this->getForm('faq');
		$is_submitted = $this->request->get('submit');
		$faqs = $form->parse($this->request, $is_submitted);
		
		$errors = false;
		
		if($is_submitted){
			$errors = $form->validate($this, $faqs);
			//dump($errors);
			if(!$errors) {
				$faq_id = $this->model->addFaq($faqs);
				if($faq_id) {
					cmsUser::addSessionMessage('Запись успешно добавлена!!!', 'success');
				} else {
					cmsUser::addSessionMessage('Не удалось добавить запись!!!', 'error');
				}
				$this->redirectToAction('index');
			}
			if($errors) {
				cmsUser::addSessionMessage('Ошибки в форме', 'error');
			}
		}

		$template->render('faq', array(
			'form' => $form,
			'faqs' => $faqs,
			'errors' => $errors
		));
	}
     
	public function actionEdit($id=FALSE) {
	
		$template = cmsTemplate::getInstance();
		$user = cmsUser::getInstance();

		if(!$user->is_admin || !$id) { cmsCore::error404(); }
		
		$form = $this->getForm('faq');
		
		$faqs = $this->model->getItemById('faq', $id);
		$is_submitted = $this->request->get('submit');		
		$errors = false;
		if($is_submitted){
			$faqs = $form->parse($this->request, $is_submitted);
			$errors = $form->validate($this, $faqs);
			if(!$errors) {
				$faq_id = $this->model->editFaq($id, $faqs);
				if($faq_id) {
					cmsUser::addSessionMessage('Запись успешно изменена!!!', 'success');
				} else {
					cmsUser::addSessionMessage('Не удалось изменить запись!!!', 'error');
				}
				$this->redirectToAction('index');			 
			}
			if($errors) {
				cmsUser::addSessionMessage('Ошибки в форме', 'error');
			}
		}

		$template->render('faq', array(
			'form' => $form,
			'faqs' => $faqs,
			'do' => 'edit'
		));

	}
     
	public function actionEditcat($id=FALSE) {
	
		$template = cmsTemplate::getInstance();
		$user = cmsUser::getInstance();
		
		if(!$user->is_admin OR !$id) { cmsCore::error404(); }
		
		$cats = $this->model->getItemById('faq_cats', $id);
		$form = $this->getForm('editcat');
		$is_submitted = $this->request->get('submit');		
		$errors = false;
		if($is_submitted){
			$cats = $form->parse($this->request, $is_submitted);
			$errors = $form->validate($this, $cats);
			if(!$errors) {
				$cat_id = $this->model->editFaqCat($id, $cats);
				if($cat_id) {
					cmsUser::addSessionMessage('Категория успешно изменена!!!', 'success');
				} else {
					cmsUser::addSessionMessage('Не удалось изменить категорию!!!', 'error');
				}
				$this->redirectToAction('index');			 
			}
			if($errors) {
				cmsUser::addSessionMessage('Ошибки в форме', 'error');
			}
		}
		
		$template->render('editcat', array(
			'form' => $form,
			'cats' => $cats,
			'id' => $id,
			'errors' => $errors
		));
	}     
    
}